require 'term/ansicolor'

module Gugl
  module Search
    module Displayers
      class TerminalResultDisplayer
        include Term::ANSIColor
        
        ENDING_LINES = 50
  
        def display(result, index)
          # title
          print magenta, index.next, ".", result.title, reset, "\n\n"
          # snippet
          print white, result.snippet, "\n\n", reset
          # link
          print white, "Link: ", blue, result.link, reset, "\n\n"
    
          print ("-" * ENDING_LINES), "\n\n"
        end
      end
    end
  end
end