require 'term/ansicolor'

module Gugl
  module Search
    module Displayers
      class MiniTerminalResultDisplayer
        include Term::ANSIColor
  
        def display(result, index)
          # title => link
          print magenta, result.title, reset, "  => "
          print blue, result.link, reset, "\n"
        end
      end
    end
  end
end